IPlanetServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iplanet.IPlanetServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iplanet
Interface IPlanetServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebServer

All Known Subinterfaces:
  IPlanetProxyServer

    public interface IPlanetServer

extends WebServer

Represents an instance of the IPlanet Server program.

Persistable:
  true
Top Level:
  true
Display Name:
  name,primarySAP

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`IPlanetWebContainer` | `getContainer()`
`java.lang.String` | `getErrorLog()`
`int` | `getMaxKeepAliveConnections()`
`java.lang.String` | `getMtaHost()`
`java.lang.String` | `getServerId()`
`boolean` | `hasContainer()`
`boolean` | `hasErrorLog()`
`boolean` | `hasMaxKeepAliveConnections()`
`boolean` | `hasMtaHost()`
`boolean` | `hasServerId()`
`void` | `setContainer(IPlanetWebContainer container)`
`void` | `setErrorLog(java.lang.String errLog)`
`void` | `setMaxKeepAliveConnections(int maxKAConnects)`
`void` | `setMtaHost(java.lang.String mtaHost)`
`void` | `setServerId(java.lang.String serverId)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getServerId

    java.lang.String getServerId()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerId

    void setServerId(java.lang.String serverId)

### hasServerId

    boolean hasServerId()

### getContainer

    IPlanetWebContainer getContainer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### setContainer

    void setContainer(IPlanetWebContainer container)

### hasContainer

    boolean hasContainer()

### getMtaHost

    java.lang.String getMtaHost()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMtaHost

    void setMtaHost(java.lang.String mtaHost)

### hasMtaHost

    boolean hasMtaHost()

### getErrorLog

    java.lang.String getErrorLog()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorLog

    void setErrorLog(java.lang.String errLog)

### hasErrorLog

    boolean hasErrorLog()

### getMaxKeepAliveConnections

    int getMaxKeepAliveConnections()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxKeepAliveConnections

    void setMaxKeepAliveConnections(int maxKAConnects)

### hasMaxKeepAliveConnections

    boolean hasMaxKeepAliveConnections()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD